diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ffr-enhanced-algorithm.cc ns-3.44/src/lte/model/lte-ffr-enhanced-algorithm.cc
--- ns-3.43/src/lte/model/lte-ffr-enhanced-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-ffr-enhanced-algorithm.cc	2025-03-09 16:55:49.599372000 -0700
@@ -13,8 +13,8 @@
 #include "lte-common.h"
 
 #include "ns3/boolean.h"
-#include <ns3/double.h>
-#include <ns3/log.h>
+#include "ns3/double.h"
+#include "ns3/log.h"
 
 #include <cfloat>
 
@@ -97,10 +97,10 @@
     {3, 100, 64, 16, 16},
 };
 
-/** \returns number of downlink configurations */
+/** @returns number of downlink configurations */
 const uint16_t NUM_DOWNLINK_CONFS(sizeof(g_ffrEnhancedDownlinkDefaultConfiguration) /
                                   sizeof(FfrEnhancedDownlinkDefaultConfiguration));
-/** \returns number of uplink configurations */
+/** @returns number of uplink configurations */
 const uint16_t NUM_UPLINK_CONFS(sizeof(g_ffrEnhancedUplinkDefaultConfiguration) /
                                 sizeof(FfrEnhancedUplinkDefaultConfiguration));
 
@@ -736,10 +736,10 @@
         for (uint32_t j = 0; j < dlRbgAvailableMap.size(); j++)
         {
             uint32_t index = rbgSize * j;
-            for (uint32_t i = 0; i < rbgSize; i++)
+            for (uint32_t i = 0; i < rbgSize && index < m_ulBandwidth; i++)
             {
-                index = index + i;
                 ulRbAvailableMap[index] = dlRbgAvailableMap[j];
+                index++;
             }
         }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ffr-enhanced-algorithm.h ns-3.44/src/lte/model/lte-ffr-enhanced-algorithm.h
--- ns-3.43/src/lte/model/lte-ffr-enhanced-algorithm.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-ffr-enhanced-algorithm.h	2025-03-09 16:55:49.599372000 -0700
@@ -25,20 +25,20 @@
 {
 
 /**
- * \brief Enhanced Fractional Frequency Reuse algorithm implementation
+ * @brief Enhanced Fractional Frequency Reuse algorithm implementation
  */
 class LteFfrEnhancedAlgorithm : public LteFfrAlgorithm
 {
   public:
     /**
-     * \brief Creates a trivial ffr algorithm instance.
+     * @brief Creates a trivial ffr algorithm instance.
      */
     LteFfrEnhancedAlgorithm();
     ~LteFfrEnhancedAlgorithm() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -82,15 +82,15 @@
     /**
      * Set downlink configuration
      *
-     * \param cellId the cell ID
-     * \param bandwidth the bandwidth
+     * @param cellId the cell ID
+     * @param bandwidth the bandwidth
      */
     void SetDownlinkConfiguration(uint16_t cellId, uint8_t bandwidth);
     /**
      * Set uplink configuration
      *
-     * \param cellId the cell ID
-     * \param bandwidth the bandwidth
+     * @param cellId the cell ID
+     * @param bandwidth the bandwidth
      */
     void SetUplinkConfiguration(uint16_t cellId, uint8_t bandwidth);
     /**
@@ -105,10 +105,10 @@
     /**
      * Initialize uplink RBG maps
      *
-     * \param rnti the RNTI
-     * \param rb RB
-     * \param ulCqiMap UL CQI map
-     * \returns UL SINR
+     * @param rnti the RNTI
+     * @param rb RB
+     * @param ulCqiMap UL CQI map
+     * @returns UL SINR
      */
     double EstimateUlSinr(uint16_t rnti,
                           uint16_t rb,
@@ -116,8 +116,8 @@
     /**
      * Get CQI from spectral efficiency
      *
-     * \param s spectral efficiency
-     * \returns CQI
+     * @param s spectral efficiency
+     * @returns CQI
      */
     int GetCqiFromSpectralEfficiency(double s);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ffr-rrc-sap.h ns-3.44/src/lte/model/lte-ffr-rrc-sap.h
--- ns-3.43/src/lte/model/lte-ffr-rrc-sap.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-ffr-rrc-sap.h	2025-03-09 16:55:49.599372000 -0700
@@ -17,7 +17,7 @@
 {
 
 /**
- * \brief Service Access Point (SAP) offered by the Frequency Reuse algorithm
+ * @brief Service Access Point (SAP) offered by the Frequency Reuse algorithm
  *        instance to the eNodeB RRC instance.
  *
  * This is the *LteFfrRrcSapProvider*, i.e., the part of the SAP
@@ -30,24 +30,24 @@
     virtual ~LteFfrRrcSapProvider();
 
     /**
-     * \brief SetCellId
-     * \param cellId the Cell Identifier
+     * @brief SetCellId
+     * @param cellId the Cell Identifier
      */
     virtual void SetCellId(uint16_t cellId) = 0;
 
     /**
-     * \brief Configure DL and UL bandwidth in Frequency Reuse Algorithm
+     * @brief Configure DL and UL bandwidth in Frequency Reuse Algorithm
      *        function is called during Cell configuration
-     * \param ulBandwidth UL bandwidth in number of RB
-     * \param dlBandwidth DL bandwidth in number of RB
+     * @param ulBandwidth UL bandwidth in number of RB
+     * @param dlBandwidth DL bandwidth in number of RB
      */
     virtual void SetBandwidth(uint8_t ulBandwidth, uint8_t dlBandwidth) = 0;
 
     /**
-     * \brief Send a UE measurement report to Frequency Reuse algorithm.
-     * \param rnti Radio Network Temporary Identity, an integer identifying the UE
+     * @brief Send a UE measurement report to Frequency Reuse algorithm.
+     * @param rnti Radio Network Temporary Identity, an integer identifying the UE
      *             where the report originates from
-     * \param measResults a single report of one measurement identity
+     * @param measResults a single report of one measurement identity
      *
      * The received measurement report is a result of the UE measurement
      * configuration previously configured by calling
@@ -58,15 +58,15 @@
     virtual void ReportUeMeas(uint16_t rnti, LteRrcSap::MeasResults measResults) = 0;
 
     /**
-     * \brief RecvLoadInformation
-     * \param params the EpcX2Sap::LoadInformationParams
+     * @brief RecvLoadInformation
+     * @param params the EpcX2Sap::LoadInformationParams
      */
     virtual void RecvLoadInformation(EpcX2Sap::LoadInformationParams params) = 0;
 
 }; // end of class LteFfrRrcSapProvider
 
 /**
- * \brief Service Access Point (SAP) offered by the eNodeB RRC instance to the
+ * @brief Service Access Point (SAP) offered by the eNodeB RRC instance to the
  *        Frequency Reuse algorithm instance.
  *
  * This is the *LteFfrRrcSapUser*, i.e., the part of the SAP that
@@ -78,10 +78,10 @@
     virtual ~LteFfrRrcSapUser();
 
     /**
-     * \brief Request a certain reporting configuration to be fulfilled by the UEs
+     * @brief Request a certain reporting configuration to be fulfilled by the UEs
      *        attached to the eNodeB entity.
-     * \param reportConfig the UE measurement reporting configuration
-     * \return the measurement identity associated with this newly added
+     * @param reportConfig the UE measurement reporting configuration
+     * @return the measurement identity associated with this newly added
      *         reporting configuration
      *
      * The eNodeB RRC entity is expected to configure the same reporting
@@ -91,17 +91,17 @@
      * Frequency Reuse algorithm through the LteFfrRrcSapProvider::ReportUeMeas
      * SAP function.
      *
-     * \note This function is only valid before the simulation begins.
+     * @note This function is only valid before the simulation begins.
      */
     virtual uint8_t AddUeMeasReportConfigForFfr(LteRrcSap::ReportConfigEutra reportConfig) = 0;
 
     /**
-     * \brief Instruct the eNodeB RRC entity to perform RrcConnectionReconfiguration
+     * @brief Instruct the eNodeB RRC entity to perform RrcConnectionReconfiguration
      *        to inform UE about new PdschConfigDedicated (i.e. P_a value).
      *        Also Downlink Power Allocation is done based on this value.
-     * \param rnti Radio Network Temporary Identity, an integer identifying the
+     * @param rnti Radio Network Temporary Identity, an integer identifying the
      *             UE which shall perform the handover
-     * \param pdschConfigDedicated new PdschConfigDedicated to be configured for UE
+     * @param pdschConfigDedicated new PdschConfigDedicated to be configured for UE
      *
      * This function is used by the Frequency Reuse algorithm entity when it decides
      * that PDSCH for this UE should be allocated with different transmit power.
@@ -114,15 +114,15 @@
                                          LteRrcSap::PdschConfigDedicated pdschConfigDedicated) = 0;
 
     /**
-     * \brief SendLoadInformation
-     * \param params the EpcX2Sap::LoadInformationParams
+     * @brief SendLoadInformation
+     * @param params the EpcX2Sap::LoadInformationParams
      */
     virtual void SendLoadInformation(EpcX2Sap::LoadInformationParams params) = 0;
 
 }; // end of class LteFfrRrcSapUser
 
 /**
- * \brief Template for the implementation of the LteFfrRrcSapProvider
+ * @brief Template for the implementation of the LteFfrRrcSapProvider
  *        as a member of an owner class of type C to which all methods are
  *        forwarded.
  */
@@ -132,7 +132,7 @@
   public:
     /**
      * Constructor
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberLteFfrRrcSapProvider(C* owner);
 
@@ -185,7 +185,7 @@
 }
 
 /**
- * \brief Template for the implementation of the LteFfrRrcSapUser
+ * @brief Template for the implementation of the LteFfrRrcSapUser
  *        as a member of an owner class of type C to which all methods are
  *        forwarded.
  */
@@ -196,7 +196,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberLteFfrRrcSapUser(C* owner);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ffr-sap.h ns-3.44/src/lte/model/lte-ffr-sap.h
--- ns-3.43/src/lte/model/lte-ffr-sap.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-ffr-sap.h	2025-03-09 16:55:49.599372000 -0700
@@ -18,7 +18,7 @@
 {
 
 /**
- * \brief Service Access Point (SAP) offered by the Frequency Reuse algorithm
+ * @brief Service Access Point (SAP) offered by the Frequency Reuse algorithm
  *        instance to the MAC Scheduler instance.
  *
  * This is the *LteFfrSapProvider*, i.e., the part of the SAP
@@ -31,8 +31,8 @@
     virtual ~LteFfrSapProvider();
 
     /**
-     * \brief Get vector of available RBG in DL for this Cell
-     * \return vector of size (m_dlBandwidth/RbgSize); false indicates
+     * @brief Get vector of available RBG in DL for this Cell
+     * @return vector of size (m_dlBandwidth/RbgSize); false indicates
      *                   that RBG is free to use, true otherwise
      *
      * This function is called by MAC Scheduler in the beginning of DL
@@ -43,11 +43,11 @@
     virtual std::vector<bool> GetAvailableDlRbg() = 0;
 
     /**
-     * \brief Check if UE can be served on i-th RB in DL
-     * \param i RBG ID
-     * \param rnti Radio Network Temporary Identity, an integer identifying the UE
+     * @brief Check if UE can be served on i-th RB in DL
+     * @param i RBG ID
+     * @param rnti Radio Network Temporary Identity, an integer identifying the UE
      *             where the report originates from
-     * \return true if UE can be served on i-th RB, false otherwise
+     * @return true if UE can be served on i-th RB, false otherwise
      *
      * This function is called by MAC Scheduler during DL scheduling process
      * to check if UE is allowed to be served with i-th RBG. Frequency Reuse
@@ -58,8 +58,8 @@
     virtual bool IsDlRbgAvailableForUe(int i, uint16_t rnti) = 0;
 
     /**
-     * \brief Get vector of available RB in UL for this Cell
-     * \return vector of size m_ulBandwidth; false indicates
+     * @brief Get vector of available RB in UL for this Cell
+     * @return vector of size m_ulBandwidth; false indicates
      *                    that RB is free to use, true otherwise
      *
      * This function is called by MAC Scheduler in the beginning of UL
@@ -70,11 +70,11 @@
     virtual std::vector<bool> GetAvailableUlRbg() = 0;
 
     /**
-     * \brief Check if UE can be served on i-th RB in UL
-     * \param i RB ID
-     * \param rnti Radio Network Temporary Identity, an integer identifying the UE
+     * @brief Check if UE can be served on i-th RB in UL
+     * @param i RB ID
+     * @param rnti Radio Network Temporary Identity, an integer identifying the UE
      *             where the report originates from
-     * \return true if UE can be served on i-th RB, false otherwise
+     * @return true if UE can be served on i-th RB, false otherwise
      *
      * This function is called by MAC Scheduler during UL scheduling process
      * to check if UE is allowed to be served with i-th RB. Frequency Reuse
@@ -85,41 +85,41 @@
     virtual bool IsUlRbgAvailableForUe(int i, uint16_t rnti) = 0;
 
     /**
-     * \brief ReportDlCqiInfo
-     * \param params the struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters
+     * @brief ReportDlCqiInfo
+     * @param params the struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters
      */
     virtual void ReportDlCqiInfo(
         const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) = 0;
 
     /**
-     * \brief ReportUlCqiInfo
-     * \param params the struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters
+     * @brief ReportUlCqiInfo
+     * @param params the struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters
      */
     virtual void ReportUlCqiInfo(
         const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) = 0;
 
     /**
-     * \brief ReportUlCqiInfo
-     * \param ulCqiMap the UL CQI map
+     * @brief ReportUlCqiInfo
+     * @param ulCqiMap the UL CQI map
      */
     virtual void ReportUlCqiInfo(std::map<uint16_t, std::vector<double>> ulCqiMap) = 0;
 
     /**
-     * \brief GetTpc
-     * \param rnti the RNTI
-     * \returns the TCP
+     * @brief GetTpc
+     * @param rnti the RNTI
+     * @returns the TCP
      */
     virtual uint8_t GetTpc(uint16_t rnti) = 0;
 
     /**
-     * \brief Get the minimum continuous Ul bandwidth
-     * \returns the minimum continuous UL bandwidth
+     * @brief Get the minimum continuous Ul bandwidth
+     * @returns the minimum continuous UL bandwidth
      */
     virtual uint16_t GetMinContinuousUlBandwidth() = 0;
 }; // end of class LteFfrSapProvider
 
 /**
- * \brief Service Access Point (SAP) offered by the eNodeB RRC instance to the
+ * @brief Service Access Point (SAP) offered by the eNodeB RRC instance to the
  *        Frequency Reuse algorithm instance.
  *
  * This is the *LteFfrSapUser*, i.e., the part of the SAP that
@@ -133,7 +133,7 @@
 }; // end of class LteFfrSapUser
 
 /**
- * \brief Template for the implementation of the LteFfrSapProvider
+ * @brief Template for the implementation of the LteFfrSapProvider
  *        as a member of an owner class of type C to which all methods are
  *        forwarded.
  */
@@ -144,7 +144,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberLteFfrSapProvider(C* owner);
 
@@ -239,7 +239,7 @@
 }
 
 /**
- * \brief Template for the implementation of the LteFfrSapUser
+ * @brief Template for the implementation of the LteFfrSapUser
  *        as a member of an owner class of type C to which all methods are
  *        forwarded.
  */
@@ -250,7 +250,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberLteFfrSapUser(C* owner);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ffr-soft-algorithm.cc ns-3.44/src/lte/model/lte-ffr-soft-algorithm.cc
--- ns-3.43/src/lte/model/lte-ffr-soft-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-ffr-soft-algorithm.cc	2025-03-09 16:55:49.599372000 -0700
@@ -10,7 +10,7 @@
 #include "lte-ffr-soft-algorithm.h"
 
 #include "ns3/boolean.h"
-#include <ns3/log.h>
+#include "ns3/log.h"
 
 namespace ns3
 {
@@ -77,10 +77,10 @@
     {3, 100, 28, 48, 24},
 };
 
-/** \returns number of downlink configurations */
+/** @returns number of downlink configurations */
 const uint16_t NUM_DOWNLINK_CONFS(sizeof(g_ffrSoftDownlinkDefaultConfiguration) /
                                   sizeof(FfrSoftDownlinkDefaultConfiguration));
-/** \returns number of uplink configurations */
+/** @returns number of uplink configurations */
 const uint16_t NUM_UPLINK_CONFS(sizeof(g_ffrSoftUplinkDefaultConfiguration) /
                                 sizeof(FfrSoftUplinkDefaultConfiguration));
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ffr-soft-algorithm.h ns-3.44/src/lte/model/lte-ffr-soft-algorithm.h
--- ns-3.43/src/lte/model/lte-ffr-soft-algorithm.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-ffr-soft-algorithm.h	2025-03-09 16:55:49.599372000 -0700
@@ -21,21 +21,21 @@
 {
 
 /**
- * \brief Soft Fractional Frequency Reuse algorithm implementation
+ * @brief Soft Fractional Frequency Reuse algorithm implementation
  */
 class LteFfrSoftAlgorithm : public LteFfrAlgorithm
 {
   public:
     /**
-     * \brief Creates a trivial ffr algorithm instance.
+     * @brief Creates a trivial ffr algorithm instance.
      */
     LteFfrSoftAlgorithm();
 
     ~LteFfrSoftAlgorithm() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -79,15 +79,15 @@
     /**
      * Set downlink configuration function
      *
-     * \param cellId the cell ID
-     * \param bandwidth the bandwidth
+     * @param cellId the cell ID
+     * @param bandwidth the bandwidth
      */
     void SetDownlinkConfiguration(uint16_t cellId, uint8_t bandwidth);
     /**
      * Set uplink configuration function
      *
-     * \param cellId the cell ID
-     * \param bandwidth the bandwidth
+     * @param cellId the cell ID
+     * @param bandwidth the bandwidth
      */
     void SetUplinkConfiguration(uint16_t cellId, uint8_t bandwidth);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-fr-hard-algorithm.cc ns-3.44/src/lte/model/lte-fr-hard-algorithm.cc
--- ns-3.43/src/lte/model/lte-fr-hard-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-fr-hard-algorithm.cc	2025-03-09 16:55:49.599372000 -0700
@@ -9,7 +9,7 @@
 
 #include "lte-fr-hard-algorithm.h"
 
-#include <ns3/log.h>
+#include "ns3/log.h"
 
 namespace ns3
 {
@@ -74,10 +74,10 @@
     {3, 100, 64, 36},
 };
 
-/** \returns number of downlink configurations */
+/** @returns number of downlink configurations */
 const uint16_t NUM_DOWNLINK_CONFS(sizeof(g_frHardDownlinkDefaultConfiguration) /
                                   sizeof(FrHardDownlinkDefaultConfiguration));
-/** \returns number of uplink configurations */
+/** @returns number of uplink configurations */
 const uint16_t NUM_UPLINK_CONFS(sizeof(g_frHardUplinkDefaultConfiguration) /
                                 sizeof(FrHardUplinkDefaultConfiguration));
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-fr-hard-algorithm.h ns-3.44/src/lte/model/lte-fr-hard-algorithm.h
--- ns-3.43/src/lte/model/lte-fr-hard-algorithm.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-fr-hard-algorithm.h	2025-03-09 16:55:49.599372000 -0700
@@ -19,21 +19,21 @@
 {
 
 /**
- * \brief Hard Frequency Reuse algorithm implementation which uses only 1 sub-band.
+ * @brief Hard Frequency Reuse algorithm implementation which uses only 1 sub-band.
  */
 class LteFrHardAlgorithm : public LteFfrAlgorithm
 {
   public:
     /**
-     * \brief Creates a trivial ffr algorithm instance.
+     * @brief Creates a trivial ffr algorithm instance.
      */
     LteFrHardAlgorithm();
 
     ~LteFrHardAlgorithm() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -77,15 +77,15 @@
     /**
      * Set downlink configuration
      *
-     * \param cellId the cell ID
-     * \param bandwidth the bandwidth
+     * @param cellId the cell ID
+     * @param bandwidth the bandwidth
      */
     void SetDownlinkConfiguration(uint16_t cellId, uint8_t bandwidth);
     /**
      * Set uplink configuration
      *
-     * \param cellId the cell ID
-     * \param bandwidth the bandwidth
+     * @param cellId the cell ID
+     * @param bandwidth the bandwidth
      */
     void SetUplinkConfiguration(uint16_t cellId, uint8_t bandwidth);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-fr-no-op-algorithm.cc ns-3.44/src/lte/model/lte-fr-no-op-algorithm.cc
--- ns-3.43/src/lte/model/lte-fr-no-op-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-fr-no-op-algorithm.cc	2025-03-09 16:55:49.599372000 -0700
@@ -9,7 +9,7 @@
 
 #include "lte-fr-no-op-algorithm.h"
 
-#include <ns3/log.h>
+#include "ns3/log.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-fr-no-op-algorithm.h ns-3.44/src/lte/model/lte-fr-no-op-algorithm.h
--- ns-3.43/src/lte/model/lte-fr-no-op-algorithm.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-fr-no-op-algorithm.h	2025-03-09 16:55:49.599372000 -0700
@@ -19,7 +19,7 @@
 {
 
 /**
- * \brief FR algorithm implementation which simply does nothing.
+ * @brief FR algorithm implementation which simply does nothing.
  *
  * Selecting this FR algorithm is equivalent to disabling FFR.
  * This is the default choice.
@@ -31,15 +31,15 @@
 {
   public:
     /**
-     * \brief Creates a NoOP FR algorithm instance.
+     * @brief Creates a NoOP FR algorithm instance.
      */
     LteFrNoOpAlgorithm();
 
     ~LteFrNoOpAlgorithm() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-fr-soft-algorithm.cc ns-3.44/src/lte/model/lte-fr-soft-algorithm.cc
--- ns-3.43/src/lte/model/lte-fr-soft-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-fr-soft-algorithm.cc	2025-03-09 16:55:49.599372000 -0700
@@ -10,7 +10,7 @@
 #include "lte-fr-soft-algorithm.h"
 
 #include "ns3/boolean.h"
-#include <ns3/log.h>
+#include "ns3/log.h"
 
 namespace ns3
 {
@@ -75,10 +75,10 @@
     {3, 100, 64, 36},
 };
 
-/** \returns number of downlink configurations */
+/** @returns number of downlink configurations */
 const uint16_t NUM_DOWNLINK_CONFS(sizeof(g_frSoftDownlinkDefaultConfiguration) /
                                   sizeof(FrSoftDownlinkDefaultConfiguration));
-/** \returns number of uplink configurations */
+/** @returns number of uplink configurations */
 const uint16_t NUM_UPLINK_CONFS(sizeof(g_frSoftUplinkDefaultConfiguration) /
                                 sizeof(FrSoftUplinkDefaultConfiguration));
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-fr-soft-algorithm.h ns-3.44/src/lte/model/lte-fr-soft-algorithm.h
--- ns-3.43/src/lte/model/lte-fr-soft-algorithm.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-fr-soft-algorithm.h	2025-03-09 16:55:49.599372000 -0700
@@ -21,21 +21,21 @@
 {
 
 /**
- * \brief Soft Frequency Reuse algorithm implementation
+ * @brief Soft Frequency Reuse algorithm implementation
  */
 class LteFrSoftAlgorithm : public LteFfrAlgorithm
 {
   public:
     /**
-     * \brief Creates a trivial ffr algorithm instance.
+     * @brief Creates a trivial ffr algorithm instance.
      */
     LteFrSoftAlgorithm();
 
     ~LteFrSoftAlgorithm() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -79,15 +79,15 @@
     /**
      * Set downlink configuration
      *
-     * \param cellId the cell ID
-     * \param bandwidth the bandwidth
+     * @param cellId the cell ID
+     * @param bandwidth the bandwidth
      */
     void SetDownlinkConfiguration(uint16_t cellId, uint8_t bandwidth);
     /**
      * Set uplink configuration
      *
-     * \param cellId the cell ID
-     * \param bandwidth the bandwidth
+     * @param cellId the cell ID
+     * @param bandwidth the bandwidth
      */
     void SetUplinkConfiguration(uint16_t cellId, uint8_t bandwidth);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-fr-strict-algorithm.cc ns-3.44/src/lte/model/lte-fr-strict-algorithm.cc
--- ns-3.43/src/lte/model/lte-fr-strict-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-fr-strict-algorithm.cc	2025-03-09 16:55:49.599372000 -0700
@@ -10,7 +10,7 @@
 #include "lte-fr-strict-algorithm.h"
 
 #include "ns3/boolean.h"
-#include <ns3/log.h>
+#include "ns3/log.h"
 
 namespace ns3
 {
@@ -77,10 +77,10 @@
     {3, 100, 28, 48, 24},
 };
 
-/** \returns number of downlink configurations */
+/** @returns number of downlink configurations */
 const uint16_t NUM_DOWNLINK_CONFS(sizeof(g_frStrictDownlinkDefaultConfiguration) /
                                   sizeof(FrStrictDownlinkDefaultConfiguration));
-/** \returns number of uplink configurations */
+/** @returns number of uplink configurations */
 const uint16_t NUM_UPLINK_CONFS(sizeof(g_frStrictUplinkDefaultConfiguration) /
                                 sizeof(FrStrictUplinkDefaultConfiguration));
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-fr-strict-algorithm.h ns-3.44/src/lte/model/lte-fr-strict-algorithm.h
--- ns-3.43/src/lte/model/lte-fr-strict-algorithm.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-fr-strict-algorithm.h	2025-03-09 16:55:49.599372000 -0700
@@ -21,21 +21,21 @@
 {
 
 /**
- * \brief Strict Frequency Reuse algorithm implementation
+ * @brief Strict Frequency Reuse algorithm implementation
  */
 class LteFrStrictAlgorithm : public LteFfrAlgorithm
 {
   public:
     /**
-     * \brief Creates a trivial ffr algorithm instance.
+     * @brief Creates a trivial ffr algorithm instance.
      */
     LteFrStrictAlgorithm();
 
     ~LteFrStrictAlgorithm() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -79,15 +79,15 @@
     /**
      * Set downlink configuration
      *
-     * \param cellId the cell ID
-     * \param bandwidth the bandwidth
+     * @param cellId the cell ID
+     * @param bandwidth the bandwidth
      */
     void SetDownlinkConfiguration(uint16_t cellId, uint8_t bandwidth);
     /**
      * Set uplink configuration
      *
-     * \param cellId the cell ID
-     * \param bandwidth the bandwidth
+     * @param cellId the cell ID
+     * @param bandwidth the bandwidth
      */
     void SetUplinkConfiguration(uint16_t cellId, uint8_t bandwidth);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-handover-algorithm.cc ns-3.44/src/lte/model/lte-handover-algorithm.cc
--- ns-3.43/src/lte/model/lte-handover-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-handover-algorithm.cc	2025-03-09 16:55:49.599372000 -0700
@@ -9,7 +9,7 @@
 
 #include "lte-handover-algorithm.h"
 
-#include <ns3/log.h>
+#include "ns3/log.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-handover-algorithm.h ns-3.44/src/lte/model/lte-handover-algorithm.h
--- ns-3.43/src/lte/model/lte-handover-algorithm.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-handover-algorithm.h	2025-03-09 16:55:49.599372000 -0700
@@ -12,7 +12,7 @@
 
 #include "lte-rrc-sap.h"
 
-#include <ns3/object.h>
+#include "ns3/object.h"
 
 namespace ns3
 {
@@ -21,7 +21,7 @@
 class LteHandoverManagementSapProvider;
 
 /**
- * \brief The abstract base class of a handover algorithm that operates using
+ * @brief The abstract base class of a handover algorithm that operates using
  *        the Handover Management SAP interface.
  *
  * Handover algorithm receives measurement reports from an eNodeB RRC instance
@@ -58,22 +58,22 @@
     ~LteHandoverAlgorithm() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Set the "user" part of the Handover Management SAP interface that
+     * @brief Set the "user" part of the Handover Management SAP interface that
      *        this handover algorithm instance will interact with.
-     * \param s a reference to the "user" part of the interface, typically a
+     * @param s a reference to the "user" part of the interface, typically a
      *          member of an LteEnbRrc instance
      */
     virtual void SetLteHandoverManagementSapUser(LteHandoverManagementSapUser* s) = 0;
 
     /**
-     * \brief Export the "provider" part of the Handover Management SAP interface.
-     * \return the reference to the "provider" part of the interface, typically to
+     * @brief Export the "provider" part of the Handover Management SAP interface.
+     * @return the reference to the "provider" part of the interface, typically to
      *         be kept by an LteEnbRrc instance
      */
     virtual LteHandoverManagementSapProvider* GetLteHandoverManagementSapProvider() = 0;
@@ -85,10 +85,10 @@
     // HANDOVER MANAGEMENT SAP PROVIDER IMPLEMENTATION
 
     /**
-     * \brief Implementation of LteHandoverManagementSapProvider::ReportUeMeas.
-     * \param rnti Radio Network Temporary Identity, an integer identifying the UE
+     * @brief Implementation of LteHandoverManagementSapProvider::ReportUeMeas.
+     * @param rnti Radio Network Temporary Identity, an integer identifying the UE
      *             where the report originates from
-     * \param measResults a single report of one measurement identity
+     * @param measResults a single report of one measurement identity
      */
     virtual void DoReportUeMeas(uint16_t rnti, LteRrcSap::MeasResults measResults) = 0;
 
